Description: fix makefile for dh usage
Author: David da Silva Polverari <david.polverari@gmail.com>
Forwarded: not-needed
Last-Update: 2021-06-07

--- a/Makefile.unx
+++ b/Makefile.unx
@@ -23,18 +23,18 @@
 ZLIB = -L$(ZPATH) -lz
 #ZLIB = $(ZPATH)/libz.a
 
-INCS = $(ZINC)
+INCS =
 LIBS = $(ZLIB)
 
-CC = gcc
+#CC = gcc
 LD = gcc
 RM = rm
-CFLAGS = -O -Wall $(INCS) -DUSE_ZLIB
+CFLAGS += -O $(INCS) -DUSE_ZLIB
 # [note that -Wall is a gcc-specific compilation flag ("all warnings on")]
 O = .o
 E =
 
-LDFLAGS =
+LDFLAGS +=
 
 PROG = pngcheck
 PROG2 = pngsplit
@@ -57,13 +57,13 @@
 all:  $(EXES)
 
 $(PROG)$(E): $(PROG).c
-	$(CC) $(CFLAGS) -o $@ $(PROG).c $(LIBS)
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $(PROG).c $(LIBS)
 
 $(PROG2)$(E): gpl/$(PROG2).c
-	$(CC) $(CFLAGS) -o $@ gpl/$(PROG2).c $(LIBS)
+	$(CC) $(CFLAGS)  $(CPPFLAGS) $(LDFLAGS) -o $@ gpl/$(PROG2).c $(LIBS)
 
 $(PROG3)$(E): gpl/$(PROG3).c
-	$(CC) $(CFLAGS) -o $@ gpl/$(PROG3).c $(LIBS)
+	$(CC) $(CFLAGS)  $(CPPFLAGS) $(LDFLAGS) -o $@ gpl/$(PROG3).c $(LIBS)
 
 
 # maintenance ---------------------------------------------------------------
